{
  "name": "file-sharing-app",
  "private": true,
  "version": "0.0.0",
  "main": "eslint.config.js",
  "type": "module",
  "scripts": {
    "build:css": "tailwindcss -i ./src/input.css -o ./dist/output.css --watch",
    "dev": "vite --host",
    "build": "vite build",
    "lint": "eslint .",
    "preview": "vite preview"
  },
  "dependencies": {
    "@tailwindcss/cli": "^4.1.11",
    "dotenv": "^17.2.1",
    "react": "^19.1.0",
    "react-barcode": "^1.6.1",
    "react-dom": "^19.1.0",
    "react-qr-code": "^2.0.18",
    "socket.io-client": "^4.8.1"
  },
  "devDependencies": {
    "@eslint/js": "^9.30.1",
    "@tailwindcss/vite": "^4.1.12",
    "@types/react": "^19.1.8",
    "@types/react-dom": "^19.1.6",
    "@vitejs/plugin-react": "^4.6.0",
    "autoprefixer": "^10.4.21",
    "eslint": "^9.30.1",
    "eslint-plugin-react-hooks": "^5.2.0",
    "eslint-plugin-react-refresh": "^0.4.20",
    "globals": "^16.3.0",
    "postcss": "^8.5.6",
    "tailwindcss": "^4.1.12",
    "vite": "^7.0.4"
  },
  "description": "This template provides a minimal setup to get React working in Vite with HMR and some ESLint rules.",
  "keywords": [],
  "author": "",
  "license": "ISC"
}
